trafficserver-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From zw...@apache.org
Subject trafficserver git commit: Add a simple wrapper to loop over all tsqa scripts
Date Fri, 09 Jan 2015 00:00:40 GMT
Repository: trafficserver
Updated Branches:
  refs/heads/master 3eda2fd98 -> 011e43405


Add a simple wrapper to loop over all tsqa scripts


Project: http://git-wip-us.apache.org/repos/asf/trafficserver/repo
Commit: http://git-wip-us.apache.org/repos/asf/trafficserver/commit/011e4340
Tree: http://git-wip-us.apache.org/repos/asf/trafficserver/tree/011e4340
Diff: http://git-wip-us.apache.org/repos/asf/trafficserver/diff/011e4340

Branch: refs/heads/master
Commit: 011e43405cb115a0049c1ea13c031fb8bb8ca614
Parents: 3eda2fd
Author: Leif Hedstrom <zwoop@apache.org>
Authored: Thu Jan 8 16:59:41 2015 -0700
Committer: Leif Hedstrom <zwoop@apache.org>
Committed: Thu Jan 8 16:59:41 2015 -0700

----------------------------------------------------------------------
 ci/tsqa/run_all.sh | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 proxy/hdrs/URL.cc  |  2 +-
 2 files changed, 48 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/trafficserver/blob/011e4340/ci/tsqa/run_all.sh
----------------------------------------------------------------------
diff --git a/ci/tsqa/run_all.sh b/ci/tsqa/run_all.sh
new file mode 100644
index 0000000..c6a0dda
--- /dev/null
+++ b/ci/tsqa/run_all.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+
+OK=()
+FAIL=()
+STATUS=0
+
+# Run all tests, record the results
+for test in test-*; do
+    echo "--> Starting test: $test"
+    ./${test}
+    res=$?
+    if [ $res != 0 ]; then
+	echo "Failure: ${test}"
+	FAIL+=(${test})
+	STATUS=1
+    else
+	echo "Success: ${test}"
+	OK+=(${test})
+    fi
+done
+
+echo "RESULTS"
+echo "======="
+for t in ${OK[@]}; do
+    echo "$t	...OK"
+done
+for t in ${FAIL[@]}; do
+    echo "$t	...FAIL"
+done
+
+exit ${STATUS}

http://git-wip-us.apache.org/repos/asf/trafficserver/blob/011e4340/proxy/hdrs/URL.cc
----------------------------------------------------------------------
diff --git a/proxy/hdrs/URL.cc b/proxy/hdrs/URL.cc
index 2950440..f92d003 100644
--- a/proxy/hdrs/URL.cc
+++ b/proxy/hdrs/URL.cc
@@ -97,7 +97,7 @@ int url_hash_method = 0;
 
 /*-------------------------------------------------------------------------
   -------------------------------------------------------------------------*/
-URLHashContext::HashType URLHashContext::Setting = URLHashContext::MMH;
+URLHashContext::HashType URLHashContext::Setting = URLHashContext::MD5;
 
 URLHashContext::URLHashContext() {
   switch (Setting) {


Mime
View raw message